DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageIsGIF

Confirm that a file is a GIF file (in dipIO)

## SYNOPSIS

`#include "dipio_gif.h"`

dip_Error dipio_ImageIsGIF ( filename, veredict )

## FUNCTION

This function verifies that the file is an GIF file. `veredict` is set to `DIP_TRUE` if it is, and to `DIP_FALSE` if it isn't.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `filename` | File name
`dip_Boolean *` | `veredict` | Set to `DIP_TRUE` or `DIP_FALSE`

## SOFTWARE

This function uses `GifLib` (version 4.1.0 or later), which supports GIF 87a & 98a. Copyright (c)1997 Eric S. Raymond

## SEE ALSO

`ImageWriteGIF`, `ImageReadGIF`

DIPlib on-line documentation | Function reference | Global function index